# $id$
#
# ctl example configuration file
#
# to test use:
#    utils/sercmd/sercmd command
# or utils/sercmd/sercmd and type help  (interactive mode)
#



#debug=9          # debug level (cmd line: -dddddddddd)
#fork=yes          # (cmd. line: -D)
#log_stderror=yes # (cmd line: -E)
#log_stderror=no	# (cmd line: -E)


#children=2
check_via=no     # (cmd. line: -v)
dns=off           # (cmd. line: -r)
rev_dns=off      # (cmd. line: -R)
#port=5070
#listen=10.0.0.179 lo	dorian
#listen=eth0
#listen=127.0.0.1
#listen=192.168.57.33
#listen=192.168.57.72
#loop_checks=0
# for more info: sip_router -h
alias=iptel.org
alias="foo.bar"
#fifo="/tmp/ser_fifo"

#modules

loadmodule "modules/ctl/ctl.so"
# optional listen addresses, if no one is specified, 
# ctl will listen on unixs:/tmp/ser_ctl
modparam("ctl", "binrpc", "unix:/tmp/ser_ctl") # default
modparam("ctl", "binrpc", "udp:localhost:2046")
modparam("ctl", "binrpc", "tcp:localhost:2046")
modparam("ctl", "binrpc", "unixd:/tmp/unix_dgram")  # unix datagram
modparam("ctl", "binrpc", "unixs:/tmp/unix_stream") # unix stream
modparam("ctl", "binrpc", "unix:/tmp/unix_default") # unix stream
modparam("ctl", "binrpc", "/tmp/unix_test")         # unix stream
modparam("ctl", "binrpc", "localhost:3000")         # udp
modparam("ctl", "binrpc", "tcp:3012")               # tcp any , port 3012
modparam("ctl", "binrpc", "udp:*:3012")             # udp any , port 3012

# old fifo support
modparam("ctl", "fifo", "fifo:/tmp/ser_fifo")      # clasic fifo
modparam("ctl", "fifo", "/tmp/ser_fifo2")       
modparam("ctl", "fifo", "udp:*:2050")              # fifo protocol over udp
modparam("ctl", "fifo", "tcp:*:2050")              # fifo over tcp 

# unix sockets and fifo creation parameters
modparam("ctl", "mode", 0600)                     # permissions
#modparam("ctl", "user", "andrei")
#modparam("ctl", "group", "1001")



route{
	forward(127.0.0.1, 9);
}
